### Hierarchy

- AGALMiniAssembler

## Index

### Constructors

- constructor

### Properties

- agalcode
- error
- verbose

### Methods

- assemble
- assemble2

## Constructors

### constructor

- new AGALMiniAssembler(debugging?: boolean): AGALMiniAssembler

- - Defined in lib/openfl/utils/AGALMiniAssembler.d.ts:14

  #### Parameters

  - ##### Optional debugging: boolean

  #### Returns AGALMiniAssembler

## Properties

### agalcode

agalcode: ByteArray

- Defined in lib/openfl/utils/AGALMiniAssembler.d.ts:12

### error

error: string

- Defined in lib/openfl/utils/AGALMiniAssembler.d.ts:13

### verbose

verbose: boolean

- Defined in lib/openfl/utils/AGALMiniAssembler.d.ts:14

## Methods

### assemble

- assemble(mode: string, source: string, version?: number, ignoreLimits?: boolean): ByteArray

- - Defined in lib/openfl/utils/AGALMiniAssembler.d.ts:19

  #### Parameters

  - ##### mode: string

  - ##### source: string

  - ##### Optional version: number

  - ##### Optional ignoreLimits: boolean

  #### Returns ByteArray

### assemble2

- assemble2(context3D: Context3D, version: number, vertexSource: string, fragmentSource: string): Program3D

- - Defined in lib/openfl/utils/AGALMiniAssembler.d.ts:18

  #### Parameters

  - ##### context3D: Context3D

  - ##### version: number

  - ##### vertexSource: string

  - ##### fragmentSource: string

  #### Returns Program3D

Generated using TypeDoc